<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- night_club-002 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%;" summary="">
	<TR>
		<TD height="386" valign="top" style="background-image: url('images/header_bg.jpg'); background-position: top right; background-repeat: repeat-x;">
		<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;" summary="">
			<tr>
				<td>
					<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
						<tr>
							<td height="125" style="padding-right: 240px;">
								<!-- MENU -->
								<table cellpadding="0" cellspacing="0" style="height: 32px;" summary="">
									<tr>
										<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
										<xsl:call-template name="TOP-MENU"/>
										<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
									</tr>
								</table>
								<!-- END MENU -->
							</td>
						</tr>
						<tr>
							<td height="100%" style="padding-left: 54px;">
								<!-- LOGO -->
								<table cellpadding="0" cellspacing="0" summary="">
									<tr>
										<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" style="margin-right: 5px;" alt="" border="0"/></a></td>
										<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
									</tr>
									<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
								</table>
								<!-- END LOGO -->
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" class="bg" style="background-image: url('images/bg.jpg'); background-repeat: repeat-x; background-position: bottom;">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;" summary="">
				<tr valign="top">
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="205" summary="" align="center">
							<tr><td><img src="images/submenu_tbg.jpg" border="0" alt=""/></td></tr>
							<tr>
								<td height="100" valign="top" style="background-image: url('images/submenu_bg.jpg'); background-repeat: repeat-y;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="130" align="center" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
							<tr><td><img src="images/submenu_bbg.jpg" border="0" alt=""/></td></tr>
						</table>
						<div style="width:275px; height:1px;"><spacer type="block" width="275" height="1"/></div>
					</td>
					<td width="100%" class="pageContent" style="padding: 0 35px 35px 0;">
						<!-- CONTENT -->
							<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
							<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
							<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="86" align="center" style="background-image: url('images/footer_bg.jpg'); background-repeat: repeat-x;">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center" summary="">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>
		<!-- END BOOTTOM MENU -->
			<div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div>
		<!-- FOOTER -->
			<div class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif')"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;" alt=""/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
