<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <HTML>
<!-- night_club-004 -->

      <HEAD>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <LINK REL="stylesheet" HREF="css/styles.css" TYPE="text/css"/>
      </HEAD>

      <body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <table BORDER="0" CELLPADDING="0" CELLSPACING="0" style="width: 100%; height: 100%;">
          <tr>
            <td style="background: url(images/menu_bg.gif)" height="120" width="100%">
              <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                  <td height="100%" width="50">
                    <div style="width:50px;"></div>
                  </td>
                  <td align="left" valign="middle" height="100%" width="50%">
                    <!--LOGO-->
                    <table cellpadding="0" cellspacing="0" border="0"  style="width: 100%; height: 100%;">
                      <tr>
                        <td align="right" valign="middle" style="padding-right:10px">
                          <a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
                        </td>
                        <td  valign="middle" align="left" class="company">
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr valign="top" >
                              <td  valign="middle"  align="left" class="company">
                                <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                            <tr>
                              <td  valign="middle" align="left" class="slogan">
                                <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                    <!-- END LOGO-->
                    <div style="width:250px"></div>
                  </td>
                  <td align="left" valign="middle" style="width: 50%; height: 100%;">
                    <!-- MENU -->
                    <table cellpadding="0" cellspacing="0" align="left" height="100%" >
                      <tr>
                        <xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table>
                    <!-- END MENU -->

                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%" width="100%" style="background: url(images/bmenu_bg.gif)" valign="top" >
              <table cellpadding="0" style="background: url(images/content_bg.gif) repeat-x; width: 100%; height: 100%;" cellspacing="0" border="0">
                <tr>
                  <td height="100%" valign="top" width="261">
                    <table cellpadding="0" cellspacing="0" border="0" height="100%" width="261">
                      <tr>
                        <td width="100%" height="174px"  valign="top" >
                          <img src="images/round.gif" border="0" alt=""/>
                        </td>
                      </tr>
                      <tr>
                        <td valign="top" width="100%" height="100%"  >
                          <!-- SUBMENU -->
                          <table cellpadding="0" cellspacing="0" width="160" align="center">
                            <xsl:call-template name="SUB-MENU">
                              <xsl:with-param name="pageID" select="@ID"/>
                            </xsl:call-template>
                          </table>
                          <!-- END SUBMENU -->
                        </td>
                      </tr>

                    </table>
                  </td>
                  <td height="100%" width="100%">
                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                      <tr>
                        <!--HEAD-->
                        <td valign="center" width="100%" height="250">
                          <img src="images/header.jpg" border="0" alt=""/>
                        </td>
                        <!--END HEAD-->
                      </tr>
                      <tr>
                        <td valign="middle" width="100%" height="50">
                          <div class="text-header" width="100%">
                            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                            <img src="images/about.gif" border="0" alt="" align="absmiddle" style="margin-right: 20px;margin-left: 10px;"/>
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" height="100%" valign="top">
                          <table  border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                            <tr>
                              <!--CONTENT-->
                              <td name="SB_stretch" class="pageContent" style="padding-right:15px; vertical-align:top">
                                <xsl:apply-templates select="PAGE-CONTENT"/>
                              </td>
                              <!--END CONTENT-->
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <!--FOOTER-->
                  <td class="footer" valign="middle" style="text-align:center"  height="60" width="261">
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                    <div style="width:261px"></div>
                  </td>
                  <!--END FOOTER-->
                  <!--BOTTOM MENU-->
                  <td class="bmenu" valign="middle" align="left" width="100%">
                    <table cellpadding="0" cellspacing="0" align="center" style="height: 60px;" >
                      <tr>
                        <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                    </table>
                  </td>
                  <!--END BOTTOM MENU-->
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>

    </HTML>


  </xsl:template>


  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr valign="top">
          <td valign="middle" class="asubmenu" style="width: 80%; height: 30px; padding-left: 8px">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td valign="middle">
            <img src="images/arrow.gif" border="0" alt=""/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

          <tr valign="top">
            <td valign="middle" style="width: 80%; height: 30px; padding-left: 8px">
              <a href="{@HREF}" class="submenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td valign="middle">
              <a href="{@HREF}">
                <img src="images/arrow.gif" border="0" alt=""/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr valign="top">
        <td colspan="2">
          <img src="images/line.gif" border="0" alt=""/>
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID"> 
        <td align="center">
          <a href="{@HREF}" class="abmenu" id="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      
      <xsl:otherwise>
        <td align="center">
          <a href="{@HREF}" class="cbmenu" id="bmenu{position()}">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
       </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td  style="width:11;height:100%;" align="center">
        <img src="images/bmenu_separtor.gif" border="0" alt=""/>
      </td>
     </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
