<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- night_club-005 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="61" style="background-image: url('images/menu_bg.jpg');">
		<!-- MENU -->
    	<table cellpadding="0" cellspacing="0" align="center">
    		<tr>
    			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                <xsl:call-template name="TOP-MENU"/> 
    			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

    		</tr>
    	</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="230" style="background-image: url('images/header_bg.jpg');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header_lbg.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="background-image: url('images/header_rbg.jpg'); background-position: top right; background-repeat: no-repeat;">
                        <table cellpadding="0" cellspacing="0" border="0" align="center" style="width: 554px; height: 201px; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
                            <tr>
                                <td style="padding: 40px 50px;">
                            		<!-- LOGO -->
              						<table cellpadding="0" cellspacing="0">
              							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
              							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
              							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
              						</table>
                            		<!-- END LOGO -->
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="26" style="background-color: #ffffff;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/tbg_l.jpg'); background-repeat: no-repeat;">
                <tr><td style="background-image: url('images/tbg_r.jpg'); background-position: top right; background-repeat: no-repeat;"></td></tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-color: #ffffff;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td style="background-image: url('images/lbg.gif');">
                        <table cellpadding="0" cellspacing="0" border="0" style="width:287px; height: 100%; background-image: url('images/lbg_t.gif'); background-repeat: no-repeat;">
                            <tr>
                                <td valign="top" style="padding-left: 120px; background-image: url('images/lbg_b.jpg'); background-position: bottom left; background-repeat: no-repeat;">
                            		<!-- SUBMENU -->
                          			<table cellpadding="0" cellspacing="0" width="120" align="center">
                                        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                          			</table>
                            		<!-- END SUBMENU -->
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td style="background-image: url('images/separator.gif');"><div style="width:1px; height:0px;"><span></span></div></td>
                    <td width="100%" style="background-image: url('images/bg.gif'); background-position: right; background-repeat: repeat-y;">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_t.jpg'); background-position: top right; background-repeat: no-repeat;">
                            <tr>
                                <td valign="top" class="pageContent" style="padding: 0 135px 0 30px; background-image: url('images/bg_b.jpg'); background-position: bottom right; background-repeat: no-repeat;">
                            		<!-- CONTENT -->
                              		<table cellpadding="0" cellspacing="0" border="0">
                              			<tr>
                              				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                              				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                              			</tr>
                              		</table>
                              		<div style="width:0px; height:15px;"><span></span></div>
                              		<xsl:apply-templates select="PAGE-CONTENT"/>
                            		<!-- END CONTENT -->
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="36" style="background-color: #ffffff;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bbg_l.jpg'); background-repeat: no-repeat;">
                <tr><td style="background-image: url('images/bbg_r.jpg'); background-position: top right; background-repeat: no-repeat;"></td></tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="99" style="background-image: url('images/footer_bg.jpg');">
            <!-- BOTTOM MENU -->
            <table cellpadding="0" cellspacing="0" align="center">
            	<tr>
            		<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                    <xsl:call-template name="BOTTOM-MENU"/>
            		<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
            	</tr>
            </table>
            <!-- END BOOTTOM MENU -->
            <div style="width:0px; height:10px;"><span></span></div>
            <!-- FOOTER -->
            <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
            <!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #FFFFFF; background-image: url('images/submenu_separator.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
